Subject: Re: new user to cygwin32...
From: [email-masked] ("Weiqi Gao")

2 Mar 1997 20:33:53 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-Msmail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Peter Amstutz wrote:

>Hello all.  I just recently downloaded & installed the full distribution
of
>cygwin32 (all 40 megs of it!) with the intent of learning something about
>windows programming.  From what I have seen, this library is largly
intened
>for porting unix/gnu software to a windows environment, but how suitable
is
>it for straight windows programming?  I bought the book Programming
Windows
>95 (by Charles Petzold) and the examples are designed to work with MS
Visual
>C++.  Are there any particular things I should watch out for in compiling
>the VC++ programs under gcc?  (other than re-writing all the makefiles...)
>
>Also, it seems that the standard set of cygwin32 header files are missing
>the SND_* macros...

If you are already familiar with the GNU C/C++ environment, then go ahead
and use cygwin32.  Otherwise use Microsoft Visual C++.  Cygwin32 should be
able to compile all the examples of the book, but figuring out how is going
to be a challenge, as documentations of the tools are at best sketchy.

--
Weiqi Gao
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".